Summary:	Ban IPs that make too many password failures
Summary(pl.UTF-8):	Blokowanie IP powodujących zbyt dużo prób logowań z błędnym hasłem
Name:		fail2ban
Version:	0.10.1
Release:	1
License:	GPL
Group:		Daemons
Source0:	https://github.com/fail2ban/fail2ban/archive/%{version}.tar.gz
# Source0-md5:	bfcb1dec6d181d5996e00560bdcbfabf
Source1:	%{name}.init
Source2:	%{name}.logrotate
Source3:	paths-pld.conf
Source4:	%{name}.sysconfig
Patch0:		logifiles.patch
URL:		http://fail2ban.sourceforge.net/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	python-log4py
Requires:	python-modules-sqlite
Requires:	rc-scripts
Requires:	systemd-units >= 38
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fail2Ban scans log files like /var/log/secure and bans IP that makes
too many password failures. It updates firewall rules to reject the IP
address. These rules can be defined by the user. Fail2Ban can read
multiple log files including sshd or Apache web server logs.

%description -l pl.UTF-8
Fail2Ban skanuje pliki logów takie jak /var/log/secure i blokuje IP
powodujące zbyt dużo prób logowań z błędnym hasłem. Uaktualnia regułki
firewalla, aby odrzucić adres IP. Regułki te mogą być definiowane
przez użytkownika. Fail2Ban potrafi czytać wiele plików logów włącznie
z sshd czy plikami logów serwera WWW Apache.

%prep
%setup -q
%patch0 -p1
rm setup.cfg

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,logrotate.d,sysconfig} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,/var/{log,run/fail2ban}} \
	$RPM_BUILD_ROOT{%{systemdunitdir},%{systemdtmpfilesdir}}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--root=$RPM_BUILD_ROOT

install -p man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/fail2ban
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/fail2ban
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/fail2ban/paths-pld.conf
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install -p files/fail2ban-tmpfiles.conf $RPM_BUILD_ROOT%{systemdtmpfilesdir}/fail2ban.conf
install -p build-2/fail2ban.service $RPM_BUILD_ROOT%{systemdunitdir}/fail2ban.service

:> $RPM_BUILD_ROOT/var/log/fail2ban.log

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart
%systemd_post fail2ban.service

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi
%systemd_preun fail2ban.service

%postun
%systemd_reload

%triggerpostun -- fail2ban < 0.8.11-3
%systemd_trigger fail2ban.service

%files
%defattr(644,root,root,755)
%doc CONTRIBUTING.md ChangeLog DEVELOP FILTERS README.md RELEASE THANKS TODO COPYING
%attr(754,root,root) /etc/rc.d/init.d/fail2ban
%attr(755,root,root) %{_bindir}/fail2ban-client
%attr(755,root,root) %{_bindir}/fail2ban-python
%attr(755,root,root) %{_bindir}/fail2ban-regex
%attr(755,root,root) %{_bindir}/fail2ban-server
%attr(755,root,root) %{_bindir}/fail2ban-testcases
%{systemdunitdir}/fail2ban.service
%{systemdtmpfilesdir}/fail2ban.conf
%dir /var/run/fail2ban
%dir %{_sysconfdir}/fail2ban
%dir %{_sysconfdir}/fail2ban/action.d
%attr(755,root,root) %{_sysconfdir}/fail2ban/action.d/badips.py
%attr(755,root,root) %{_sysconfdir}/fail2ban/action.d/smtp.py
%dir %{_sysconfdir}/fail2ban/fail2ban.d
%dir %{_sysconfdir}/fail2ban/filter.d
%dir %{_sysconfdir}/fail2ban/filter.d/ignorecommands
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fail2ban/filter.d/ignorecommands/apache-fakegooglebot
%dir %{_sysconfdir}/fail2ban/jail.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fail2ban/*.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fail2ban/*/*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/fail2ban
%attr(644,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}-%{version}-py*.egg-info
%{_mandir}/man1/fail2ban-client.1*
%{_mandir}/man1/fail2ban-regex.1*
%{_mandir}/man1/fail2ban-server.1*
%{_mandir}/man1/fail2ban-testcases.1*
%{_mandir}/man1/fail2ban.1*
%attr(750,root,root) %dir /var/lib/%{name}
%attr(640,root,logs) %ghost /var/log/fail2ban.log

%changelog
* Fri Oct 13 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fail2ban.git;a=log;h=master

* Fri Oct 13 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f493e11
- up to 0.10.1

* Thu Aug 24 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 0563dd1
- rel 2; run on low nice level to avoid interfering with other services

* Thu Aug 10 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 27a5eb5
- reload is now supported

* Thu Aug 10 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 7037c24
- up to 0.10.0

* Thu Aug 10 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 7572e05
- up to 0.9.7

* Mon Jul 24 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 179323c
- rel 2; add deps/dir

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> 2730245
- rel 1

* Fri Mar 17 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> d379a00
- up to 0.9.4; fix pidfile handling

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e50e704
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f7c0846
- automatic change: use py_build/py_install macros

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 50db387
- package egg.info dir

* Mon Jan 26 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ef99c63
- avoid double site-packages/fail2ban/fail2ban/ directory

* Wed Jan 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ce81aec
- initial (unfinished) update to 0.9.1

* Mon Dec 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 132c42d
- update from tarball/files/fail2ban-logrotate

* Mon Jan 13 2014 Jan Rękorajski <baggins@pld-linux.org> 7eaade6
- rel 4

* Mon Jan 13 2014 Jan Rękorajski <baggins@pld-linux.org> 4dd71ab
- fix <HOST> regex to match IPv6 addresses ending in ":"

* Mon Jan 06 2014 Jan Rękorajski <baggins@pld-linux.org> 47c24e9
- rel 3

* Mon Jan 06 2014 Jan Rękorajski <baggins@pld-linux.org> 8ea7a6c
- use our paths to logfiles

* Mon Jan 06 2014 Jan Rękorajski <baggins@pld-linux.org> 06aca71
- package ghost log file and added logrotate config

* Mon Jan 06 2014 Jan Rękorajski <baggins@pld-linux.org> 5d66b38
- install python module into private dir to avoid pollution

